Index: /trunk/expressoMail1_2/inc/gd_functions.php
===================================================================
--- /trunk/expressoMail1_2/inc/gd_functions.php	(revision 5509)
+++ /trunk/expressoMail1_2/inc/gd_functions.php	(revision 7655)
@@ -53,5 +53,5 @@
   $img=imagecreate($Width,$Height);
   $Colors=pow(2,$biBitCount);
-  for($p=0;$p<$Colors;$p++)
+  for($p=0;$p<$Colors;++$p)
    {
     $B=freadbyte($f);
@@ -72,5 +72,5 @@
     {
      $CurrentBit=0;
-     for($x=0;$x<$Width;$x++)
+     for($x=0;$x<$Width;++$x)
       {
          $C=freadbits($f,$biBitCount);
@@ -78,5 +78,5 @@
       };
     if($CurrentBit!=0) {freadbyte($f);};
-    for($g=0;$g<$Zbytek;$g++)
+    for($g=0;$g<$Zbytek;++$g)
      freadbyte($f);
      };
@@ -112,10 +112,10 @@
    $Data.=fread($f,$pocet);
    $pocetb+=$pocet;
-   if($pocetb%2==1) {freadbyte($f); $pocetb++;};
+   if($pocetb%2==1) {freadbyte($f); ++$pocetb;};
   };
  if($prefix>0)
   {
    $pocet=$prefix;
-   for($r=0;$r<$pocet;$r++)
+   for($r=0;$r<$pocet;++$r)
     $Data.=chr($suffix);
   };
@@ -126,5 +126,5 @@
 };
 
-for($x=0;$x<strlen($Data);$x++)
+for($x=0;$x<strlen($Data);++$x)
  {
   imagesetpixel($img,$x,$y,$Palette[ord($Data[$x])]);
@@ -165,9 +165,9 @@
 
    $CurrentBit=0;
-   for($h=0;$h<$pocet;$h++)
+   for($h=0;$h<$pocet;++$h)
     $Data.=chr(freadbits($f,4));
    if($CurrentBit!=0) freadbits($f,4);
    $pocetb+=ceil(($pocet/2));
-   if($pocetb%2==1) {freadbyte($f); $pocetb++;};
+   if($pocetb%2==1) {freadbyte($f); ++$pocetb;};
   };
  if($prefix>0)
@@ -175,5 +175,5 @@
    $pocet=$prefix;
    $i=0;
-   for($r=0;$r<$pocet;$r++)
+   for($r=0;$r<$pocet;++$r)
     {
     if($i%2==0)
@@ -185,5 +185,5 @@
       $Data.=chr(floor($suffix/16));
      };
-    $i++;
+    ++$i;
     };
   };
@@ -194,5 +194,5 @@
 };
 
-for($x=0;$x<strlen($Data);$x++)
+for($x=0;$x<strlen($Data);++$x)
  {
   imagesetpixel($img,$x,$y,$Palette[ord($Data[$x])]);
@@ -212,5 +212,5 @@
    for($y=$Height-1;$y>=0;$y--)
     {
-     for($x=0;$x<$Width;$x++)
+     for($x=0;$x<$Width;++$x)
       {
        $B=freadbyte($f);
@@ -221,5 +221,5 @@
        imagesetpixel($img,$x,$y,$color);
       }
-    for($z=0;$z<$Zbytek;$z++)
+    for($z=0;$z<$Zbytek;++$z)
      freadbyte($f);
    };
@@ -336,5 +336,5 @@
 $bin=decbin($d);
 $sbin=strlen($bin);
-for($j=0;$j<$n-$sbin;$j++)
+for($j=0;$j<$n-$sbin;++$j)
  $bin="0$bin";
 return $bin;
Index: /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 7225)
+++ /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 7655)
@@ -164,5 +164,5 @@
 		{
 			$catalogsNum=count($this->external_srcs);
-				for ($i=0; $i<=$catalogsNum; $i++)	{
+				for ($i=0; $i<=$catalogsNum; ++$i)	{
 					if ($this->external_srcs[$i]["quicksearch"]) { 
 						$this->ldapConnect(true,$i);
@@ -177,5 +177,5 @@
 						$count_entries = ldap_count_entries($this->ds,$sr);
 						$search = ldap_get_entries($this->ds, $sr);
-						for ($j=0; $j<$search["count"]; $j++) {
+						for ($j=0; $j<$search["count"]; ++$j) {
 							$info[] = $search[$j];
 						}
@@ -188,5 +188,5 @@
 		$tmp_users_from_user_org = array();
 
-		for ($i=0; $i<$info["count"]; $i++)
+		for ($i=0; $i<$info["count"]; ++$i)
 		{
 			$key = $info[$i]["mail"][0] . '%' . $info[$i]["telephonenumber"][0] . '%'. $info[$i]["mobile"][0] . '%' . $info[$i]["uid"][0] . '%' . $info[$i]["jpegphoto"]['count'] . '%' . $info[$i]["employeenumber"][0] . '%' . 	$info[$i]["ou"][0];
@@ -216,5 +216,5 @@
 					$contacts_result[$i]["cn"] = $cn;
 					list ($contacts_result[$i]["mail"], $contacts_result[$i]["phone"], $contacts_result[$i]["mobile"], $contacts_result[$i]["uid"], $contacts_result[$i]["jpegphoto"], $contacts_result[$i]["employeenumber"], $contacts_result[$i]["ou"]) = preg_split('/%/', $info);
-					$i++;
+					++$i;
 				}
 				$contacts_result['quickSearch_only_in_userSector'] = $quickSearch_only_in_userSector;
@@ -232,5 +232,5 @@
 					$contacts_result[$i] = array();
 					$options_users_from_user_org .= $this->make_quicksearch_card($info, $cn);
-					$i++;
+					++$i;
 				}
 
@@ -240,5 +240,5 @@
 					$contacts_result[$i] = array();
 					$options .= $this->make_quicksearch_card($info, $cn);
-					$i++;
+					++$i;
 				}
 
@@ -470,5 +470,5 @@
 			//Busca em Catalagos externos
 			$catalogsNum=count($this->external_srcs);
-			for ($i=0; $i<=$catalogsNum; $i++)	{
+			for ($i=0; $i<=$catalogsNum; ++$i)	{
 				if ($this->external_srcs[$i]["quicksearch"]) 
 				{
@@ -481,5 +481,5 @@
 					$count_entries = ldap_count_entries($this->ds,$sr);
 					$search = ldap_get_entries($this->ds, $sr);
-					for ($j=0; $j<$search["count"]; $j++) {
+					for ($j=0; $j<$search["count"]; ++$j) {
 						$search[$j]['isExternal'] = true;
                         $info_return[] = $search[$j];
@@ -617,5 +617,5 @@
 			}
 
-			for ($i=0; $i<$info["count"]; $i++)
+			for ($i=0; $i<$info["count"]; ++$i)
 				$organizations[$i] = $info[$i]["ou"][0];
 
@@ -644,5 +644,5 @@
 			}
 			else{
-			    for ($i=0; $i<$info["count"]; $i++)
+			    for ($i=0; $i<$info["count"]; ++$i)
 			    {
 				    $organizations[$i]['ou'] = $info[$i]["ou"][0];
@@ -732,5 +732,5 @@
 			$g_tmp = array();
 
-			for ($i=0; $i<$info["count"]; $i++){
+			for ($i=0; $i<$info["count"]; ++$i){
 				if((!$catalog==0)||(strtoupper($info[$i]["phpgwaccounttype"][0]) == 'U') && ($info[$i]["phpgwaccountvisible"][0] != '-1'))
 					//aqui eh feita a concatenacao do departamento ao cn;
@@ -751,5 +751,5 @@
 				$name = $tmp[0]; //pega o primeiro item (cn) do vetor resultante do explode acima;
 				$department = $tmp[1]; //pega o segundo item (ou) do vetor resultanto do explode acima;
-				$users[$i++] = array("name" => $name, "email" => $mail, "department" => $department);
+				$users[++$i] = array("name" => $name, "email" => $mail, "department" => $department);
 
 			}
@@ -760,5 +760,5 @@
 
 			foreach ($g_tmp as $mail => $cn){
-				$groups[$i++] = array("name" => $cn, "email" => $mail);
+				$groups[++$i] = array("name" => $cn, "email" => $mail);
 			}
 			unset($g_tmp);
@@ -782,5 +782,5 @@
 			ldap_close($this->ds);
 
-			for ($i=0; $i<$ent["count"]; $i++){
+			for ($i=0; $i<$ent["count"]; ++$i){
 				$result['mail'][] = $ent[$i]["mail"][0];
 				$result['mailalter'][] = $ent[$i]["mailalternateaddress"][0];
@@ -808,5 +808,5 @@
                 $sr=ldap_list($this->ds, $user_context, ("(&(cn=*)(phpgwaccounttype=g)(!(phpgwaccountvisible=-1)))"),$justthese);
             $info = ldap_get_entries($this->ds, $sr);
-            for ($i=0; $i<$info["count"]; $i++)
+            for ($i=0; $i<$info["count"]; ++$i)
                 $groups[$uids=$info[$i]["gidnumber"][0]] = Array('name'    =>    $uids=$info[$i]["cn"][0], 'type'    =>    g);
             $justthese = array("phpgwaccountvisible","uidNumber","cn");
@@ -817,5 +817,5 @@
 
             $info = ldap_get_entries($this->ds, $sr);
-            for ($i=0; $i<$info["count"]; $i++)
+            for ($i=0; $i<$info["count"]; ++$i)
             {
                 if ($info[$i]["phpgwaccountvisible"][0] == '-1')
@@ -914,5 +914,5 @@
                             $filter .= "(uid=$uid)";                                                    
                             $acl_save_sent_in_shared[ $i ] =$uid;
-                            $i++;
+                            ++$i;
                                                                        
                         }                                                       
@@ -929,5 +929,5 @@
 				$info 	= 	ldap_get_entries($this->ds, $sr);
 				$var = print_r($acl_save_sent_in_shared, true);				
-				for ($i = 0;$i < $info["count"]; $i++){
+				for ($i = 0;$i < $info["count"]; ++$i){
 					$info[$i]['cn'][0] = utf8_decode($info[$i]['cn'][0]);
 					//verify if user has permission to save sent messages in a shared folder
@@ -952,5 +952,5 @@
 				ldap_sort($this->ds,$sr,"cn");
 				$result = ldap_get_entries($this->ds, $sr);
-				for ($j = 0;$j < $result["count"]; $j++){
+				for ($j = 0;$j < $result["count"]; ++$j){
 					$result[$j]['cn'][0] = utf8_decode($result[$j]['cn'][0]);
 					$result[$j]['mail'][0] = $result[$j]['mail'][0];
@@ -1048,5 +1048,5 @@
 
 
-                for ($i=0; $i<$entries['count']; $i++)
+                for ($i=0; $i<$entries['count']; ++$i)
                 {
                         $result[ $entries[$i]['gidnumber'][0] ] = $entries[$i]['cn'][0];
Index: /trunk/expressoMail1_2/inc/class.functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.functions.inc.php	(revision 7500)
+++ /trunk/expressoMail1_2/inc/class.functions.inc.php	(revision 7655)
@@ -127,5 +127,5 @@
 				// End Bug fixed.
 			}														
-			for($i = 0; $i < count($files); $i++) {				
+			for($i = 0; $i < count($files); ++$i) {
 				if(count(explode('.js',$files[$i])) > 1) {
 					if($includeFiles  && array_search(trim($files[$i]),$includeFiles)){	
Index: /trunk/expressoMail1_2/inc/class.phpmailer.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 5509)
+++ /trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 7655)
@@ -472,5 +472,5 @@
     function MailSend($header, $body) {
         $to = "";
-        for($i = 0; $i < count($this->to); $i++)
+        for($i = 0; $i < count($this->to); ++$i)
         {
             if($i != 0) { $to .= ", "; }
@@ -533,15 +533,15 @@
 
         // Attempt to send attach all recipients
-        for($i = 0; $i < count($this->to); $i++)
+        for($i = 0; $i < count($this->to); ++$i)
         {
 		if(!$this->smtp->Recipient($this->to[$i][0]))
 			$bad_rcpt[] = $this->to[$i][0];
         }
-        for($i = 0; $i < count($this->cc); $i++)
+        for($i = 0; $i < count($this->cc); ++$i)
         {
 		if(!$this->smtp->Recipient($this->cc[$i][0]))
 			$bad_rcpt[] = $this->cc[$i][0];
         }
-        for($i = 0; $i < count($this->bcc); $i++)
+        for($i = 0; $i < count($this->bcc); ++$i)
         {
                 if(!$this->smtp->Recipient($this->bcc[$i][0]))
@@ -564,5 +564,5 @@
             $array_error = explode(":", $this->smtp->error['smtp_msg']);
             
-            for($i = 0; $i < count($bad_rcpt); $i++)
+            for($i = 0; $i < count($bad_rcpt); ++$i)
             {
                 if($i != 0) { $error .= ", "; }
@@ -765,5 +765,5 @@
                 $connection = true;
             }
-            $index++;
+            ++$index;
         }
         if(!$connection)
@@ -826,5 +826,5 @@
         if(count($addr) > 1)
         {
-            for($i = 1; $i < count($addr); $i++)
+            for($i = 1; $i < count($addr); ++$i)
                 $addr_str .= ", " . $this->AddrFormat($addr[$i]);
         }
@@ -867,5 +867,5 @@
         $line = explode($this->LE, $message);
         $message = "";
-        for ($i=0 ;$i < count($line); $i++)
+        for ($i=0 ;$i < count($line); ++$i)
         {
           $line_part = explode(" ", $line[$i]);
@@ -1031,5 +1031,5 @@
 
         // Add custom headers
-        for($index = 0; $index < count($this->CustomHeader); $index++)
+        for($index = 0; $index < count($this->CustomHeader); ++$index)
         {
             $result .= $this->HeaderLine(trim($this->CustomHeader[$index][0]), 
@@ -1265,5 +1265,5 @@
 
         // Add all attachments
-        for($i = 0; $i < count($this->attachment); $i++)
+        for($i = 0; $i < count($this->attachment); ++$i)
         {
             // Check for string attachment
@@ -1540,5 +1540,5 @@
     function InlineImageExists() {
         $result = false;
-        for($i = 0; $i < count($this->attachment); $i++)
+        for($i = 0; $i < count($this->attachment); ++$i)
         {
             if($this->attachment[$i][6] == "inline")
Index: /trunk/expressoMail1_2/inc/class.imapfp.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imapfp.inc.php	(revision 5773)
+++ /trunk/expressoMail1_2/inc/class.imapfp.inc.php	(revision 7655)
@@ -150,5 +150,5 @@
 			while(1)
 			{
-				$i++;
+				++$i;
 				$response.="\r\n".$this->get_line();
 				if(substr($response,strpos($response,$this->tag),strlen($this->tag))==$this->tag)
Index: /trunk/expressoMail1_2/inc/hook_settings.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/hook_settings.inc.php	(revision 7420)
+++ /trunk/expressoMail1_2/inc/hook_settings.inc.php	(revision 7655)
@@ -408,5 +408,5 @@
 			$level = count($folder_id);
 			$ident = '';
-			for($i = 2; $level > 2 && $i < $level;$i++)
+			for($i = 2; $level > 2 && $i < $level;++$i)
 				$ident .= ' - ';
 			
Index: /trunk/expressoMail1_2/controller.php
===================================================================
--- /trunk/expressoMail1_2/controller.php	(revision 7186)
+++ /trunk/expressoMail1_2/controller.php	(revision 7655)
@@ -16,5 +16,5 @@
  			$count_files = $_POST['countFiles'];
 			$array_files = array(); 		
- 			for($idx = 1; $idx <= $count_files; $idx++) { 		
+ 			for($idx = 1; $idx <= $count_files; ++$idx) {
  				if(array_key_exists('file_'.$idx , $_FILES) && $_FILES['file_'.$idx] && !$_FILES['file_'.$idx]['error'])
  					$array_files[] = $_FILES['file_'.$idx]; 					 
Index: /trunk/home.php
===================================================================
--- /trunk/home.php	(revision 6528)
+++ /trunk/home.php	(revision 7655)
@@ -109,5 +109,5 @@
         $user_apps = $GLOBALS['phpgw_info']['user']['apps']; 
         @reset($user_apps);     
-        for($i = 0; $i < count($default_apps);$i++) {
+        for($i = 0; $i < count($default_apps);++$i) {
                 if(array_key_exists($default_apps[$i], $user_apps)){
                         $sorted_apps[] = $default_apps[$i];
@@ -177,5 +177,5 @@
                                 print '</tr>';
                         }
-                        $idx++;
+                        ++$idx;
                         $neworder[] = $appname;
                 }
